org.apache.cassandra.cql3

## Enum Operator

- java.lang.Object
- - java.lang.Enum<Operator>
  - - org.apache.cassandra.cql3.Operator

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Operator>

      public enum Operator
      extends java.lang.Enum<Operator>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTAINS`
    `CONTAINS_KEY`
    `EQ`
    `GT`
    `GTE`
    `IN`
    `LT`
    `LTE`
    `NEQ`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Operator` | `readFrom(java.io.DataInput input)` Deserializes a `Operator` instance from the specified input.
    `Operator` | `reverse()` Returns the reverse operator if this one.
    `java.lang.String` | `toString()`
    `static Operator` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Operator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.
    `void` | `writeTo(java.io.DataOutput output)` Write the serialized version of this `Operator` to the specified output.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQ

          public static final Operator EQ

    - #### LT

          public static final Operator LT

    - #### LTE

          public static final Operator LTE

    - #### GTE

          public static final Operator GTE

    - #### GT

          public static final Operator GT

    - #### IN

          public static final Operator IN

    - #### CONTAINS

          public static final Operator CONTAINS

    - #### CONTAINS_KEY

          public static final Operator CONTAINS_KEY

    - #### NEQ

          public static final Operator NEQ

  - ### Method Detail

    - #### values

          public static Operator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Operator c : Operator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Operator valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### writeTo

          public void writeTo(java.io.DataOutput output)
                       throws java.io.IOException

      Write the serialized version of this `Operator` to the specified output.
      Parameters:
        `output` - the output to write to
      Throws:
        `java.io.IOException` - if an I/O problem occurs while writing to the specified output

    - #### readFrom

          public static Operator readFrom(java.io.DataInput input)
                                   throws java.io.IOException

      Deserializes a `Operator` instance from the specified input.
      Parameters:
        `input` - the input to read from
      Returns:
        the `Operator` instance deserialized
      Throws:
        `java.io.IOException` - if a problem occurs while deserializing the `Type` instance.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Operator>`

    - #### reverse

          public Operator reverse()

      Returns the reverse operator if this one.
      Returns:
        the reverse operator of this one.

Copyright © 2018 The Apache Software Foundation